Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.iohttps://kyc-api.surepass.io| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token authentication using JWT token |
| Content-Type | Yes | Must be set to application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| client_id | String | Yes | The unique identifier of the client whose stamp needs to be deleted |
{
"client_id": "stamp_ggkpcWhflwzxeqvOueyT"
}| Parameter | Type | Description |
|---|---|---|
| data | Object | Contains the details of the deleted stamp |
| data.client_id | String | The client ID associated with the deleted stamp |
| data.stamp_id | String | The unique identifier of the deleted stamp |
| data.deleted | Boolean | Indicates whether the stamp was successfully deleted |
| status_code | Integer | HTTP status code of the response |
| success | Boolean | Indicates whether the API call was successful |
| message | String | Human-readable description of the response |
| message_code | String | Machine-readable code representing the response message |
{
"data": {
"client_id": "stamp_ggkpcWhflwzxeqvOueyT",
"stamp_id": "stamp_ggkpcWhflwzxeqvOueyT",
"deleted": true
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}{
"data": null,
"status_code": 404,
"success": false,
"message": "Client not found",
"message_code": "client_not_found"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/stamper/delete-stamp' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": "{{stamp_client_id}}"
}'{
"data": {
"client_id": "stamp_ggkpcWhflwzxeqvOueyT",
"stamp_id": "stamp_ggkpcWhflwzxeqvOueyT",
"deleted": true
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}